Subject: Re: [PATCH v4 1/2] net: phy: at803x: fix the wol setting functions

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 3 Aug 2023 10:11:36 +0100

On Wed, Aug 02, 2023 at 02:13:46PM -0500, Li Yang wrote:
> In commit 7beecaf7d507 ("net: phy: at803x: improve the WOL feature"), it
> seems not correct to use a wol_en bit in a 1588 Control Register which is
> only available on AR8031/AR8033(share the same phy_id) to determine if WoL
> is enabled.  Change it back to use AT803X_INTR_ENABLE_WOL for determining
> the WoL status which is applicable on all chips supporting wol. Also update
> the at803x_set_wol() function to only update the 1588 register on chips
> having it.  After this change, disabling wol at probe from commit
> d7cd5e06c9dd ("net: phy: at803x: disable WOL at probe") is no longer
> needed.  Change it to just disable the WoL bit in 1588 register for
> AR8031/AR8033 to be aligned with AT803X_INTR_ENABLE_WOL in probe.
> 
> Fixes: 7beecaf7d507 ("net: phy: at803x: improve the WOL feature")
> Signed-off-by: Li Yang <[email-masked]>
> Reviewed-by: Viorel Suman <[email-masked]>
> Reviewed-by: Wei Fang <[email-masked]>

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!